注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

淘尽网 官方博客

淘尽网http://www.tao3w.com做最好的比价网站

 
 
 

日志

 
 
关于我

淘尽网 http://www.tao3w.com 做最好的比价网站,做最好的数据抓取专家。

网易考拉推荐

ubuntu下编译QT  

2012-08-04 10:16:09|  分类: python |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |

windows上偷懒,直接下了一个编译过的安装版搞定,ubuntu下就自己用源码编译了。

configure

出现以下几个问题点:

1."Basic XLib functionality test failed!"

解决方式:apt-get install libX11-dev libXext-dev libXtst-dev

2."Xrender support cannot be enabled due to functionality tests!",此项导致QWebkit无法编译

解决方式:apt-get install libXrender-dev

3.另外为了支持opengl,phonon等还需要其它库

sudo apt-get install libglib2.0-dev
sudo apt-get install libgstreamer0.10-dev
sudo apt-get install libgstreamer-plugins-base0.10-dev
sudo apt-get install libxml-dev
sudo apt-get install xlibmesa-gl-dev
sudo apt-get install xlibmesa-glu-dev

sudo apt-get install xorg-dev

按照上述方式安装依赖库后,可以搞定。


然后make,make install

安装完后,需要设置环境变量

export QTDIR=/usr/local/Trolltech/Qt-4.8.2/
export PATH=$QTDIR/bin:$PATH     
export MANPATH=$QTDIR/doc/man:$MANPATH     
export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH


  评论这张
 
阅读(194)| 评论(0)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017